using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using FiltronASP.Models.Validators;

namespace FiltronASP.Models
{
    /// <summary>
    /// Fragment klasy odpowiadajacy tabeli <code>MenuItemTypes</code>.
    /// </summary>
    [MetadataType(typeof(MenuItemTypeValidation))]
    public partial class MenuItemType
    {
    }

    /// <summary>
    /// Klasa z walidacja dla niektorych danych klasy <code>MenuItemType</code>.
    /// </summary>
    public class MenuItemTypeValidation
    {

        [HiddenInput(DisplayValue = false)]
        public int type_id { get; set; }

        [Required(ErrorMessage = "Nazwa skrócona typu elementu w menu jest wymagana.")]
        [StringLength(20, ErrorMessage = "Nazwa skrócona typu elementu w menu nie powinna być dłuższa niż 20 znaków.")]
        [AlpaNumeric(ErrorMessage = "Nazwa skrócona typu elementu w menu nie powinna zawierać znaków specjalnych.")]
        public string type_abbr { get; set; }

        [Required(ErrorMessage = "Nazwa typu elementu w menu jest wymagana.")]
        [StringLength(80, ErrorMessage = "Nazwa typu elementu w menu nie powinna być dłuższa niż 80 znaków.")]
        [AlpaNumeric(ErrorMessage = "Nazwa typu elementu w menu nie powinna zawierać znaków specjalnych.")]
        public string type_name { get; set; }

    }
}
